# &Qt; Command Line Documentation

&Lauri.Watts; &Lauri.Watts.mail;
&Burkhard.Lueck; &Burkhard.Lueck.mail;
2016-06-04
Qt 6
KDE Frameworks
qt6options
7

# qt6options

Common commandline options for all applications based on the &Qt; toolkit

    Qt application

    -style= style / -style style
    -stylesheet= stylesheet / -stylesheet stylesheet
    -widgetcount
    -reverse
    -qmljsdebugger= port

    -platform platformName[:options]
    -platformpluginpath path
    -platformtheme platformTheme
    -plugin plugin
    -qwindowgeometry geometry
    -qwindowicon icon
    -qwindowtitle title
    -reverse
    -session session
    -display hostname:screen_number
    -geometry geometry
    -dialogs= [xp|none]
    -fontengine= freetype

    -h, --help and -? on &Windows;
    -v --version

## Options

The following options apply to all &Qt; applications:

`-style=` style / `-style` style

  Set the application &GUI; style. Possible values depend on the system configuration. If &Qt; is compiled with additional styles or has additional styles as plugins these will be available to the `-style` command line option.

`-stylesheet=` stylesheet / `-stylesheet` stylesheet

  Set the application styleSheet. The value must be a path to a file that contains the Style Sheet.

`-widgetcount`

  Print debug message at the end about number of widgets left undestroyed and maximum number of widgets existed at the same time.

`-reverse`

  Set the application's layout direction to `Qt::RightToLeft`. This option is intended to aid debugging and should not be used in production. The default value is automatically detected from the user's locale (see also `QLocale::textDirection()`).

`-qmljsdebugger=` port

  Activate the QML/JS debugger with a specified port. The value must be of format port:1234[,block], where block is optional and will make the application wait until a debugger connects to it.

`-platform` platformName[:options]

  Specify the &Qt; Platform Abstraction (QPA) plugin.

`-platformpluginpath` path

  Specify the path to platform plugins.

`-platformtheme` platformTheme

  Specify the platform theme.

`-plugin` plugin

  Specify additional plugins to load. The argument may appear multiple times.

`-qwindowgeometry` geometry

  Specify the window geometry for the main window using the &X11;-syntax. For example: -qwindowgeometry 100x100+50+50

`-qwindowicon` icon

  Set the default window icon.

`-qwindowtitle` title

  Set the title of the first window.

`-session` session

  Restore the application from an earlier session.

`-display` hostname:screen_number

  Switch displays on &X11;. Overrides the `DISPLAY` environment variable.

`-geometry` geometry

  Specify the window geometry for the main window on &X11;. For example: -geometry 100x100+50+50

`-dialogs=` [xp|none]

  Only available for the &Windows; platform. XP uses native style dialogs and none disables them.

`-fontengine=` freetype

  Use the FreeType font engine.

`-h, --help and -? on &Windows;`

  Print all options and the application description.

`-v --version`

  Display the version string of the application.

## See Also

kf6options(7)

## Authors

Man page originally written by &Lauri.Watts; &Lauri.Watts.mail;

Updated to &frameworks; 5 by &Burkhard.Lueck; &Burkhard.Lueck.mail;

The infos for this man page are from QApplication documentation, QGuiApplication documentation and QCommandLineParser documentation.